Subject: Trainer Candidate - Dharmjeet Singh
From: Dharmjeet Singh <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 18 May 2021 07:16:46 -0400

| | Tech Support Test

Name | Dharmjeet Singh
E-mail | [email-masked]
Phone Number | (91) 9811855418
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Faridabad

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Sage Publications | Deputy Manager - Customer Service & Delivery | Jan 29, 2020 | 91000
Previous Employer 1 | Vriti Infocom Pvt. Ltd | Lead - Customer service & back-end operations | May 31, 2013 | 40000
Previous Employer 2 | India Today | Team Lead- Customer support & Project Coordination | Aug 28, 2009 | 23000

If Selected, how much time do you need to join? | None, can join same day

Please briefly describe your work experience specifically in training?

Over 14 years of experience in People Management, Customer Service, Service Delivery,
Hiring, Escalation Management, BPO, KPI Management, Process Management and
Stakeholder Management. Have managed a team size of over 45 team members. Excellent
Communicator

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | In my previous organization there was a case which could have resulted into a big escalation. However it was saved. We had a a client who was in need of a book for an important event at his University. The book wasn't readily available and we had to procure it from our US office right just few days before the event. We had very limited time to deliver the book So we used shipped it overnight. However due to some mistake at courier company's end the book was misrouted to another state. We got to know about on Saturday and the event was on Monday. Client was very irate and angry. There was no way to get the book back and deliver it on time. Office was closed I was on he phone for almost the whole day trying to figure out a solution for it. After checking the data base of all our customers and resent sales of that book we found the same book was available with one of our distributor in the same state. However his office was closed Sunday. After a lot of discussions with the distributor, he agreed to handover the book to our executive at 7 AM on Monday and we got the book delivered at the event at 8:30 AM for the event at 9AM. The client was a big author and a good friend of our CEO. Handling this situation was most difficult because there was nothing in my direct control ad I was totally dependent on others for resolution. My executive pulled out the sales data on a holiday and tracked the book, I spoke to the distributor for almost an hour to convince to open his shop at 7AM instead of his regular time 11AM and then finally taking sales executive's help to pick and deliver the book. From Saturday afternoon till Monday 8:30AM I was on my toes t get this resolved.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Good customer service is attending to customer on time and try to provide first contact resolution or resolution ASAP. Great customer service is putting yourself in customer's shoe and understand the value of customer's time and energy he is spending with you for that concern and accordingly providing the solution by making sure the customer goes back with a smile.
What according to you makes you a good candidate for this position? | I have over 14 years of experience in different industries however all have been in customer services roles. I have interacted with domestic & International customers and learnt a lot about customer handling. I have great experience in people management also. I am certain that my experience and expertise will definitely add value to the organization
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |